alter table COMPONENTE_TROCA ADD SEMDEVOLUCAO NUMERIC(1,0)
GO
create index IDX_COMPONENTE_TROCA1 on COMPONENTE_TROCA(rmanutencao)
GO
alter table CONTROLERMA ADD RMANUTENCAO INT NOT NULL DEFAULT 7
GO
alter table CONTROLERMA ADD ITEMNUMORD CHAR(5)
GO
create index IDX_CONTROLERMA1 on CONTROLERMA(rmanutencao)
GO
CREATE TABLE HISTORICOATENDIMENTO (
OID INT NOT NULL,
RATENDIMENTO INT NOT NULL,
HISTORICO VARCHAR(254) NOT NULL,
RUSUARIO INT NOT NULL DEFAULT 7,
DATA DATETIME NOT NULL)
GO
ALTER TABLE HISTORICOATENDIMENTO ADD CONSTRAINT PK_HISTORICOATENDIMENTO PRIMARY KEY (OID)
GO
CREATE INDEX IDX_HISTORICOATENDIMENTO1 ON HISTORICOATENDIMENTO(RATENDIMENTO)
GO
insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,' ','01/01/01','01/01/01','Emitir nota nas operaes com RMA. S ou N.','Emitir nota nas operaes com RMA',18,31538,0)
GO
insert into categoria (rsuper, nomeinterno, oid) values (11767,'EMITIR_NF_OPERACOES_RMA',31538)
GO
insert into dadoadicional ( RCLASSECONCRETA,RAPLICATIVO,RDOMINIO,RLISTA,RTIPO,RITEM,RESTRICAO,VISIVEL,MASCARA,PADRAO,MAXIMO,MINIMO,VALOR,OID) values (7,1884 ,15812,7,31538,10128,0.0,0.0,'',' ',0.0,0.0,'PA105257',31537)
GO
insert into aditivo (RITEM,RDEFINICAO,SVALOR,OID) values (1    ,31537,'',31539)
GO
insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,' ','01/01/01','01/01/01','TPO usado na operao de ressarcimento de clientes no RMA','TPO para outras sadas de bonificao de RMA',18,31565,0)
GO
insert into categoria (rsuper, nomeinterno, oid) values (11767,'TPO_OUTRAS_SAIDAS_BONIFICACAO_RMA',31565)
GO
insert into dadoadicional ( RCLASSECONCRETA,RAPLICATIVO,RDOMINIO,RLISTA,RTIPO,RITEM,RESTRICAO,VISIVEL,MASCARA,PADRAO,MAXIMO,MINIMO,VALOR,OID) values (7,1884 ,15825,18021,31565,10124,0.0,0.0,'',' ',0.0,0.0,'PA105257',31564)
GO
insert into aditivo (RITEM,RDEFINICAO,SVALOR,OID) values (1    ,31564,'',31566)
GO
insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,' ','01/01/01','01/01/01','Texto padro usado na operao de ressarcimento de clientes no RMA atravs de crdito.','Texto padro para nota de ressarcimento em crdito',18,31599,0)
GO
insert into categoria (rsuper, nomeinterno, oid) values (11767,'TEXTO_PADRAO_RESSARCIMENTO_CREDITO',31599)
GO
insert into dadoadicional ( RCLASSECONCRETA,RAPLICATIVO,RDOMINIO,RLISTA,RTIPO,RITEM,RESTRICAO,VISIVEL,MASCARA,PADRAO,MAXIMO,MINIMO,VALOR,OID) values (7,1884 ,15825,7,31599,10128,0.0,0.0,'',' ',0.0,0.0,'PA 105257',31598)
GO
insert into aditivo (RITEM,RDEFINICAO,SVALOR,OID) values (1    ,31598,'',31600)
GO
insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,'','01/01/01','01/01/01',' ','Acompanhamento RMA',18,31541,0)
GO
insert into categoria (rsuper, nomeinterno, oid) values (26723,'TIPOACOMPANHAMENTO_RMA',31541)
GO


-- Tabela "Atendimento", criao da coluna "Protocolo"
IF NOT EXISTS (SELECT C.NAME FROM SYSCOLUMNS C, SYSOBJECTS T 
	WHERE C.ID = T.ID AND T.NAME = 'ATENDIMENTO' AND T.XTYPE = 'U' AND C.NAME = 'PROTOCOLO')
   ALTER TABLE dbo.ATENDIMENTO ADD PROTOCOLO VARCHAR(254)
go

IF EXISTS (SELECT name FROM sysobjects WHERE name = 'ATENDIMENTO_R' AND type = 'V')
   drop view ATENDIMENTO_R
go
create view dbo.ATENDIMENTO_R (
    DEFEITOAPARENTE,
    PREVISAO,
    CONTATO,
    TELEFONE,
    CONTROLEEMISSAO,
    SERVICOEXECUTADO,
    DIAGNOSTICO,
    PROTOCOLO,
    RFILIAL,
    RSTATUS,
    RTECNICO,
    RTIPOSERVICO,
    CRIADOEM,
    CID,
    ATUALIZADOEM,
    CODIGO,
    OBSERVACAO,
    NOME,
    OID,
    RESCOPO,
    CRIADOPOR,
    ATUALIZADOPOR)
as select
    ATENDIMENTO.DEFEITOAPARENTE,
    ATENDIMENTO.PREVISAO,
    ATENDIMENTO.CONTATO,
    ATENDIMENTO.TELEFONE,
    ATENDIMENTO.CONTROLEEMISSAO,
    ATENDIMENTO.SERVICOEXECUTADO,
    ATENDIMENTO.DIAGNOSTICO,
    ATENDIMENTO.PROTOCOLO,
    ATENDIMENTO.RFILIAL,
    ATENDIMENTO.RSTATUS,
    ATENDIMENTO.RTECNICO,
    ATENDIMENTO.RTIPOSERVICO,
    ITEM.CRIADOEM,
    ITEM.CID,
    ITEM.ATUALIZADOEM,
    ITEM.CODIGO,
    ITEM.OBSERVACAO,
    ITEM.NOME,
    ITEM.OID,
    ITEM.RESCOPO,
    ITEM.CRIADOPOR,
    ITEM.ATUALIZADOPOR
from
    ATENDIMENTO,ITEM
where (ITEM.EXCLUIDO = 0) AND
    ATENDIMENTO.OID = ITEM.OID
go


IF EXISTS (SELECT name FROM sysobjects WHERE name = 'ATENDIMENTO_V' AND type = 'V')
   drop view ATENDIMENTO_V
go
create view dbo.ATENDIMENTO_V (
    RFILIAL,
    RSTATUS,
    RTECNICO,
    RTIPOSERVICO,
    DEFEITOAPARENTE,
    PREVISAO,
    CONTATO,
    TELEFONE,
    CONTROLEEMISSAO,
    SERVICOEXECUTADO,
    DIAGNOSTICO,
    PROTOCOLO,
    RESCOPO,
    CRIADOEM,
    CID,
    ATUALIZADOEM,
    CODIGO,
    OBSERVACAO,
    NOME,
    OID,
    NFILIAL,
    NSTATUS,
    NTECNICO,
    NTIPOSERVICO,
    NESCOPO
) as select
    ATENDIMENTO.RFILIAL,
    ATENDIMENTO.RSTATUS,
    ATENDIMENTO.RTECNICO,
    ATENDIMENTO.RTIPOSERVICO,
    ATENDIMENTO.DEFEITOAPARENTE,
    ATENDIMENTO.PREVISAO,
    ATENDIMENTO.CONTATO,
    ATENDIMENTO.TELEFONE,
    ATENDIMENTO.CONTROLEEMISSAO,
    ATENDIMENTO.SERVICOEXECUTADO,
    ATENDIMENTO.DIAGNOSTICO,
    ATENDIMENTO.PROTOCOLO,
    ITEM.RESCOPO,
    ITEM.CRIADOEM,
    ITEM.CID,
    ITEM.ATUALIZADOEM,
    ITEM.CODIGO,
    ITEM.OBSERVACAO,
    ITEM.NOME,
    ITEM.OID,
    T1.NOME,
    T2.NOME,
    T3.NOME,
    T4.NOME,
    T5.NOME
from
    ATENDIMENTO,ITEM,ITEM T1,ITEM T2,ITEM T3,ITEM T4,ITEM T5
where (ITEM.EXCLUIDO = 0) AND
    ATENDIMENTO.OID = ITEM.OID AND
    ATENDIMENTO.RFILIAL = T1.OID AND
    ATENDIMENTO.RSTATUS = T2.OID AND
    ATENDIMENTO.RTECNICO = T3.OID AND
    ATENDIMENTO.RTIPOSERVICO = T4.OID AND
    ITEM.RESCOPO = T5.OID
go
