CREATE TABLE PEDICLILIBERAR (
	FILIAL CHAR(2) NOT NULL,
	NUMPED INTEGER NOT NULL,
	DTPEDIDO DATE,
	CODCLIE INTEGER,
	NOME VARCHAR2(50),
	VALPED NUMBER(17,2),
	CODVEND CHAR(5));
ALTER TABLE PEDICLILIBERAR ADD CONSTRAINT PK_PEDICLILIBERAR PRIMARY KEY (NUMPED);
INSERT INTO item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, OID, excluido) VALUES (7           ,1,1,' ','01/01/01','01/01/01','Determina que o Credirio trabalha com o conceito de busca peridica de oramentos para aprovao. S ou N.','Busca automtica de oramentos aguardando liberao do Credirio',18,31404,0);
INSERT INTO categoria (rsuper, nomeinterno, OID) VALUES (2376 ,'BUSCA_AUTOMATICA_ORCAMENTOS',31404);
INSERT INTO dadoadicional ( RCLASSECONCRETA,RAPLICATIVO,RDOMINIO,RLISTA,RTIPO,RITEM,RESTRICAO,VISIVEL,MASCARA,PADRAO,MAXIMO,MINIMO,VALOR,OID) VALUES (7,1884 ,16024,7,31404,10128,0.0,0.0,'',' ',0.0,0.0,'PA94728',31403);
INSERT INTO aditivo (RITEM,RDEFINICAO,SVALOR,OID) VALUES (1    ,31403,'',31405);
INSERT INTO item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, OID, excluido) VALUES (7           ,1,1,' ','01/01/01','01/01/01','Define a periodicidade da busca por novos oramentos na situao de aguardando liberao do Credirio. Informar o valor em segundos.','Intervalo para busca de oramentos aguardando liberao do Credirio (em segundos)',18,31407,0);
INSERT INTO categoria (rsuper, nomeinterno, OID) VALUES (2376 ,'INTERVALO_PARA_BUSCA_ORCAMENTOS',31407);
INSERT INTO dadoadicional ( RCLASSECONCRETA,RAPLICATIVO,RDOMINIO,RLISTA,RTIPO,RITEM,RESTRICAO,VISIVEL,MASCARA,PADRAO,MAXIMO,MINIMO,VALOR,OID) VALUES (7,1884 ,16024,7,31407,10128,0.0,0.0,'',' ',0.0,0.0,'PA94728',31406);
INSERT INTO aditivo (RITEM,RDEFINICAO,SVALOR,OID) VALUES (1    ,31406,'',31408);

CREATE OR REPLACE TRIGGER PEDICLILIBERAR_IUD BEFORE INSERT OR UPDATE OF SitVen ON PediCliCad FOR EACH ROW 
DECLARE 
	nCount INTEGER; 
	sNome CHAR(50); 
BEGIN 
	nCount := 0; 
	sNome := ' '; 
	IF :NEW.SitVen = '1' THEN 
		SELECT SUBSTR(Nome, 1, 50) INTO sNome FROM Cliente_r WHERE OID = :NEW.CodClie; 
		SELECT COUNT(*) INTO nCount FROM PediCliLiberar WHERE NumPed = :NEW.NumPed AND Filial = :NEW.Filial; 
		IF nCount > 0 THEN 
			UPDATE PediCliLiberar SET DtPedido = :NEW.DtPedido, ValPed = :NEW.ValPed WHERE NumPed = :NEW.NumPed AND Filial = :NEW.Filial; 
		ELSE 
			INSERT INTO PediCliLiberar (Filial, NumPed, DtPedido, CodClie, Nome, ValPed,CodVend) VALUES (:NEW.Filial, :NEW.NumPed, :NEW.DtPedido,:NEW.CodClie, sNome, :NEW.ValPed, :NEW.CodVend); 
		END IF; 
	ELSE 
		IF :NEW.SitVen <> '1' AND :OLD.SitVen = '1' THEN 
			SELECT COUNT(*) INTO nCount FROM PediCliLiberar WHERE NumPed = :NEW.NumPed AND Filial = :NEW.Filial; 
			IF nCount > 0 THEN 
				DELETE FROM PediCliLiberar WHERE NumPed = :NEW.NumPed AND Filial = :NEW.Filial; 
			END IF; 
		END IF; 
	END IF; 
END;
/

COMMIT;
