CREATE TABLE PediCliLiberar (
	FILIAL CHAR(2) NOT NULL,
	NUMPED INT NOT NULL,
	DTPEDIDO DATETIME,
	CODCLIE INT,
	NOME VARCHAR(50),
	VALPED NUMERIC(17,2),
	CODVEND CHAR(5))
GO
ALTER TABLE PediCliLiberar ADD CONSTRAINT PK_PEDICLILIBERAR PRIMARY KEY (NumPed)
GO
INSERT INTO item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, OID, excluido) VALUES (7           ,1,1,' ','01/01/01','01/01/01','Determina que o Credirio trabalha com o conceito de busca peridica de oramentos para aprovao. S ou N.','Busca automtica de oramentos aguardando liberao do Credirio',18,31404,0)
GO
INSERT INTO categoria (rsuper, nomeinterno, OID) VALUES (2376 ,'BUSCA_AUTOMATICA_ORCAMENTOS',31404)
GO
INSERT INTO dadoadicional ( RCLASSECONCRETA,RAPLICATIVO,RDOMINIO,RLISTA,RTIPO,RITEM,RESTRICAO,VISIVEL,MASCARA,PADRAO,MAXIMO,MINIMO,VALOR,OID) values (7,1884 ,16024,7,31404,10128,0.0,0.0,'',' ',0.0,0.0,'PA94728',31403)
GO
INSERT INTO aditivo (RITEM,RDEFINICAO,SVALOR,OID) VALUES (1    ,31403,'',31405)
GO
INSERT INTO item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,' ','01/01/01','01/01/01','Define a periodicidade da busca por novos oramentos na situao de aguardando liberao do Credirio. Informar o valor em segundos.','Intervalo para busca de oramentos aguardando liberao do Credirio (em segundos)',18,31407,0)
GO
INSERT INTO categoria (rsuper, nomeinterno, OID) VALUES (2376 ,'INTERVALO_PARA_BUSCA_ORCAMENTOS',31407)
GO
INSERT INTO dadoadicional ( RCLASSECONCRETA,RAPLICATIVO,RDOMINIO,RLISTA,RTIPO,RITEM,RESTRICAO,VISIVEL,MASCARA,PADRAO,MAXIMO,MINIMO,VALOR,OID) values (7,1884 ,16024,7,31407,10128,0.0,0.0,'',' ',0.0,0.0,'PA94728',31406)
GO
INSERT INTO aditivo (RITEM,RDEFINICAO,SVALOR,OID) VALUES (1    ,31406,'',31408)
GO

IF EXISTS (SELECT Name FROM SYSOBJECTS WHERE Name = 'PEDICLILIBERAR_IUD' AND Type = 'TR')
	DROP TRIGGER PEDICLILIBERAR_IUD
GO
CREATE TRIGGER PEDICLILIBERAR_IUD ON PediCliCad FOR INSERT, UPDATE AS
DECLARE @nCount INT
DECLARE @sNome CHAR(50)
DECLARE @DtPedido DATETIME
DECLARE @ValPed NUMERIC(18,2)
DECLARE @NumPed INT
DECLARE @Filial CHAR(2)
DECLARE @CodClie INT
DECLARE @CodVend INT
BEGIN
	SELECT @nCount = 0 FROM INSERTED
	SELECT @sNome = ' ' FROM INSERTED

	IF (SELECT SitVen FROM INSERTED) = '1'
	BEGIN
		SELECT @sNome = LEFT(Nome, 50) FROM Cliente_r (NOLOCK),INSERTED WHERE Cliente_r.OID = INSERTED.CodClie
		SELECT @Filial = INSERTED.Filial, @NumPed = INSERTED.NumPed, @DtPedido = INSERTED.DtPedido, @ValPed = INSERTED.ValPed FROM PediCliCad (NOLOCK),INSERTED WHERE PediCliCad.NumPed = INSERTED.NumPed AND PediCliCad.Filial = INSERTED.Filial
		SELECT @nCount = COUNT(*) FROM PediCliLiberar (NOLOCK),INSERTED WHERE PediCliLiberar.NumPed = INSERTED.NumPed AND PediCliLiberar.Filial = INSERTED.Filial
		IF @nCount >0
		BEGIN
			UPDATE PediCliLiberar SET DtPedido = @DtPedido, ValPed = @ValPed WHERE NumPed = @NumPed AND Filial = @Filial
		END
		ELSE
		BEGIN
			INSERT INTO PediCliLiberar (Filial, NumPed, DtPedido, CodClie, Nome, ValPed, CodVend) VALUES (@Filial, @NumPed, @DtPedido, @CodClie, @sNOME, @ValPed, @CodVend)
		END
	END
	ELSE
	BEGIN
		IF (SELECT SitVen FROM INSERTED) <> '1' AND (SELECT SitVen FROM DELETED) = '1'
		BEGIN
			SELECT @nCount = COUNT(*) FROM PediCliLiberar (NOLOCK),INSERTED WHERE PediCliLiberar.NumPed = INSERTED.NumPed AND PediCliLiberar.Filial = INSERTED.Filial
			IF @nCount > 0 DELETE FROM PediCliLiberar WHERE NumPed = (SELECT NumPed FROM INSERTED)
		END
	END
END
GO
