--------------------------------------------------------------------------------------------------------
-- Parmetros
--------------------------------------------------------------------------------------------------------
insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,'','01/01/01','01/01/01','Habilita ou no o recurso de venda de tintas pigmentadas na hora (mquina de tintas). S ou N.','Utiliza sistema tintomtrico',18,31936,0);
insert into categoria (rsuper, nomeinterno, oid) values (2376 ,'UTILIZA_SISTEMA_TINTOMETRICO',31936);
insert into dadoadicional ( RCLASSECONCRETA,RAPLICATIVO,RDOMINIO,RLISTA,RTIPO,RITEM,RESTRICAO,VISIVEL,MASCARA,PADRAO,MAXIMO,MINIMO,VALOR,OID) values (7,1884 ,16024,7,31936,10128,0.0,0.0,'','',0.0,0.0,'PA94712',31935);
insert into aditivo (RITEM,RDEFINICAO,SVALOR,OID) values (1    ,31935,'',31937);
commit;
--------------------------------------------------------------------------------------------------------
-- Controle de acesso aos menus
--------------------------------------------------------------------------------------------------------
insert into opcsistcad(codsis,codopc,nomeopc,ativado,razdesativ,mensagem,numeroativ,mediauso,numdemeses,usoultmes,auditativo,ativporopc) 
values ('SIS','1.42','Reemisso ordem pigmentao','S','','',0,0,0,0,'','');
insert into opcsistcad(codsis,codopc,nomeopc,ativado,razdesativ,mensagem,numeroativ,mediauso,numdemeses,usoultmes,auditativo,ativporopc) 
values ('SIS','3.31','Confirmar Pigmentao Tinta','S','','',0,0,0,0,'','');
insert into opcsistcad(codsis,codopc,nomeopc,ativado,razdesativ,mensagem,numeroativ,mediauso,numdemeses,usoultmes,auditativo,ativporopc) 
values ('SIS','3.32','Estornar Pigmentao Tinta','S','','',0,0,0,0,'',''); 
insert into opcsistcad(codsis,codopc,nomeopc,ativado,razdesativ,mensagem,numeroativ,mediauso,numdemeses,usoultmes,auditativo,ativporopc) 
values ('SIS','5.10','Sistema Tintomtrico','S','','',0,0,0,0,'','');
commit;
--------------------------------------------------------------------------------------------------------
-- Categorias e Sub-Categorias
--------------------------------------------------------------------------------------------------------
insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,'','01/01/01','01/01/01',' ','Sistema Tintomtrico - Suvinil',18,31983,0);
insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,'','01/01/01','01/01/01',' ','Sistema Tintomtrico - Sherwin Williams',18,31782,0);
insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,'','01/01/01','01/01/01',' ','Sistema Tintomtrico - Lukscolor',18,31781,0);
insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,'','01/01/01','01/01/01',' ','Sistema Tintomtrico - Coral',18,31780,0);
insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,'','01/01/01','01/01/01',' ','Sistema Tintomtrico',18,31779,0);
insert into categoria (rsuper, nomeinterno, oid) values (31779,'SISTEMA_TINTOMETRICO_SUVINIL',31983);
insert into categoria (rsuper, nomeinterno, oid) values (31779,'SISTEMA_TINTOMETRICO_SHERWIN_WILLIAMNS',31782);
insert into categoria (rsuper, nomeinterno, oid) values (31779,'SISTEMA_TINTOMETRICO_LUKSCOLOR',31781);
insert into categoria (rsuper, nomeinterno, oid) values (31779,'SISTEMA_TINTOMETRICO_CORAL',31780);
insert into categoria (rsuper, nomeinterno, oid) values (2    ,'SISTEMA_TINTOMETRICO',31779);
commit;
---------------------------------------------------------------------------------------------------------
-- Tabelas novas
--------------------------------------------------------------------------------------------------------
-- ProdutoFormula
CREATE TABLE PRODUTOFORMULA (
CODPRO CHAR(5) NOT NULL,
CODCOR INT NOT NULL,
CODPROCOMPONENTE CHAR(5) NOT NULL,
QUANTIDADE NUMBER(18,3) );

ALTER TABLE PRODUTOFORMULA ADD CONSTRAINT PK_PRODUTOFORMULA PRIMARY KEY (CODPRO,CODCOR,CODPROCOMPONENTE);

-- EmbalagemFormula
CREATE TABLE EMBALAGEMFORMULA (
CODEMBALAGEM INT NOT NULL,
NOMEEMBALAGEM CHAR(40),
SISTEMATINTOMETRICO INT DEFAULT 7 NOT NULL,
CODEMBALAGEMEXTERNO CHAR(40),
CAPACIDADE NUMBER(18,3) );

ALTER TABLE EMBALAGEMFORMULA ADD CONSTRAINT PK_EMBALAGEMFORMULA PRIMARY KEY (CODEMBALAGEM);

CREATE SEQUENCE EMBALAGEMFORMULA_SEQ MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 NOCYCLE NOORDER;

CREATE OR REPLACE TRIGGER EMBALAGEMFORMULA_I
	BEFORE
INSERT ON EMBALAGEMFORMULA FOR EACH ROW DECLARE nContador NUMBER;
BEGIN
IF :NEW.CODEMBALAGEM=0 OR :NEW.CODEMBALAGEM IS NULL THEN
	SELECT EMBALAGEMFORMULA_SEQ.NEXTVAL INTO nContador FROM DUAL;
	:NEW.CODEMBALAGEM := nContador;
END IF;
END;

-- ComponenteFormula
CREATE TABLE COMPONENTEFORMULA (
CODCOMPONENTE INT NOT NULL,
NOMECOMPONENTE CHAR(40),
TIPOCOMPONENTE CHAR(1),
CODCOMPONENTEEXTERNO CHAR(40),
SISTEMATINTOMETRICO INT DEFAULT 7 NOT NULL,
EXIGEFUNDOLOC NUMBER(1) );

ALTER TABLE COMPONENTEFORMULA ADD CONSTRAINT PK_COMPONENTEFORMULA PRIMARY KEY (CODCOMPONENTE);

CREATE SEQUENCE COMPONENTEFORMULA_SEQ MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 NOCYCLE NOORDER;

CREATE OR REPLACE TRIGGER COMPONENTEFORMULA_I
	BEFORE
INSERT ON COMPONENTEFORMULA FOR EACH ROW DECLARE nContador NUMBER;
BEGIN
IF :NEW.CODCOMPONENTE=0 OR :NEW.CODCOMPONENTE IS NULL THEN
	SELECT COMPONENTEFORMULA_SEQ.NEXTVAL INTO nContador FROM DUAL;
	:NEW.CODCOMPONENTE := nContador;
END IF;
END;

commit;
---------------------------------------------------------------------------------------------------------
-- Tabelas alteradas
--------------------------------------------------------------------------------------------------------
-- ComplementoProduto
ALTER TABLE COMPLEMENTOPRODUTO ADD SISTEMATINTOMETRICO INT DEFAULT 7 NOT NULL;
ALTER TABLE COMPLEMENTOPRODUTO ADD TIPOCOMPONENTE CHAR(1);
ALTER TABLE COMPLEMENTOPRODUTO ADD CODEMBALAGEM INT;
ALTER TABLE COMPLEMENTOPRODUTO ADD CODCOMPONENTE INT;

-- ItemcliComplemento
ALTER TABLE ITEMCLICOMPLEMENTO ADD CODCOR INT;
ALTER TABLE ITEMCLICOMPLEMENTO ADD IDTINTA INT;
ALTER TABLE ITEMCLICOMPLEMENTO ADD CODPROTINTA CHAR(5);

-- ItNFEntCad
ALTER TABLE ITNFENTCAD ADD CODCOR INT;
ALTER TABLE ITNFENTCAD ADD IDTINTA INT;
ALTER TABLE ITNFENTCAD ADD CODPROTINTA CHAR(5);

-- SenhVenCad
ALTER TABLE SENHVENCAD ADD LIBDEVOLUCAOTINTA CHAR(1);

commit;
--------------------------------------------------------------------------------------------------------
