-- Tabela SimulacaoPrecoCusto
CREATE TABLE SimulacaoPrecoCusto (
   CODSIMULACAO INT IDENTITY NOT NULL,
   CODPRO CHAR(5),
   RFORNECEDOR INT,
   PRECOLISTA NUMERIC(20,5),
   DATA DATETIME)
GO
 
-- Chave Primria Tabela SimulacaoPrecoCusto
ALTER TABLE SIMULACAOPRECOCUSTO ADD CONSTRAINT PK_SIMULACAOPRECOCUSTO PRIMARY KEY (CODSIMULACAO)
GO
 
-- Tabela ItemSimulacaoPrecoCusto
CREATE TABLE ITEMSIMULACAOPRECOCUSTO (
   ITEM INT IDENTITY NOT NULL,
   CODSIMULACAO INT NOT NULL,
   PRORROGACAO INT,
   PRAZOPAGAMENTO INT,
   BONIFICACAO NUMERIC(5,2),
   PRECOCUSTO NUMERIC(20,5),
   MARGEMZERO NUMERIC(20,5),
   PRECOVENDA NUMERIC(20,5))
GO
-- Chave Primria Tabela ItemSimulacaoPrecoCusto
ALTER TABLE ITEMSIMULACAOPRECOCUSTO ADD CONSTRAINT PK_ITEMSIMULACAOPRECOCUSTO PRIMARY KEY (Item, CodSimulacao)
GO
 
-- Tabela ComposicaoSimulacaoPrecoCusto
CREATE TABLE COMPOSICAOSIMULACAOPRECOCUSTO(
   OID INT NOT NULL,
   RITEMSIMULACAO INT,
   RTIPOPESQUISA INT,
   RCALCULO INT,
   VALOR NUMERIC(20,5))
GO
-- Chave Primria da Tabela ComposicaoSimulacaoPrecoCusto
ALTER TABLE COMPOSICAOSIMULACAOPRECOCUSTO ADD CONSTRAINT PK_COMPSIMULACAOPRECOCUSTO PRIMARY KEY (OID)
GO

-- Parmetro "Taxa de inflao de estoque"
insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,' ','01/01/01','01/01/01','Armazena o valor da taxa de inflao do estoque para os clculos de simulao de preo de custo.','Taxa de inflao de estoque',18,32390,0)
go
insert into categoria (rsuper, nomeinterno, oid) values (2376 ,'TAXA_INFLACAO_ESTOQUE',32390)
go
insert into dadoadicional ( RCLASSECONCRETA,RAPLICATIVO,RDOMINIO,RLISTA,RTIPO,RITEM,RESTRICAO,VISIVEL,MASCARA,PADRAO,MAXIMO,MINIMO,VALOR,OID) values (7,1884 ,15812,7,32390,10128,0.0,0.0,'',' ',0.0,0.0,'PA119712',32389)
go
insert into aditivo (RITEM,RDEFINICAO,SVALOR,OID) values (1    ,32389,'',32391)
go

-- Parmetro Abater PIS/COFINS no preo de custo do produto / PA 113757
insert into item (rescopo, criadopor, atualizadopor, codigo, criadoem, atualizadoem , observacao, nome, cid, oid, excluido) values (7           ,1,1,' ','01/01/01','01/01/01','Parmetro destinado a determinar se o preo de custo do produto vir abatido de PIS/COFINS.','Abater PIS/COFINS no preo de custo do produto',18,32356,0)
go
insert into categoria (rsuper, nomeinterno, oid) values (2376 ,'ABATER_PIS_COFINS_NO_PRECO_DE_CUSTO_PRODUTO ',32356)
go
insert into dadoadicional ( RCLASSECONCRETA,RAPLICATIVO,RDOMINIO,RLISTA,RTIPO,RITEM,RESTRICAO,VISIVEL,MASCARA,PADRAO,MAXIMO,MINIMO,VALOR,OID) values (7,1884 ,15812,7,32356,10128,0.0,0.0,'',' ',0.0,0.0,'PA113757',32355)
go
insert into aditivo (RITEM,RDEFINICAO,SVALOR,OID) values (1    ,32355,'',32357)
go
